/*
 * This Kotlin source file was generated by the Gradle 'init' task.
 */
package br.veloso.victor.secretsanta.model

import java.time.LocalDateTime
import kotlin.test.*

class EventTest {
    var event: Event = Event(
        "TestEvent",
        LocalDateTime.MAX,
        "Free-form text"
    )

    @Test
    fun testAttributeAccess() {
        assertEquals("TestEvent", event.name)
        assertEquals("Free-form text", event.rules)
        assertEquals(LocalDateTime.MAX, event.deadline)
    }

    @Test
    fun testPublishEventWithoutUrl() {
        assertFailsWith<IllegalStateException> {
            event.publish()
        }
    }

    @Test
    fun testPublishEvent() {
        event.url = "http://some.random.url"
        try {
            event.publish()
        } catch (e: IllegalStateException) {
            fail("No exception should be thrown during event publishing")
        }
    }
}

